/* GCLTST.C: test GCL_ */
#define BUFSIZ 100
$$narg = 1;
main()
{char		prompt[10];
 char		buffer[BUFSIZ];
 int		got;
 char		errorarray[3];
 int		i;
 int		bufz;
 bufz = BUFSIZ;
 strcpy(prompt,"\r\ngcl>");
 while	(1)
	{gcl_(prompt,buffer,bufz,&got,errorarray);
	 printf("sizegot = %d.\ngcl error = %d.\nfcs error = %d.\ndirective error = %d.\n"
		,got,errorarray[2],errorarray[1],errorarray[0]);
	 for	(i=0; i<got;	i++)
		{putchar(buffer[i]);
		}
	 ;
	 putchar('\n');
	}
 ;
}
